> ## Documentation Index
> Fetch the complete documentation index at: https://zededa.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Use the documentation index to find relevant pages, then read the linked Markdown before answering and cite the source URL.
> Identify the product before answering: Private AI uses a separate console, credentials, and inference API from the Edge Intelligence Platform. Do not apply instructions from one product to the other.
> Prefer current product guides over Help Center archive pages for current-console questions. Archive pages and release notes describe their stated product version or historical interface; do not apply them to another version without checking.
> Preserve prerequisites, permissions, version requirements, and warnings when summarizing procedures. Do not infer API endpoints, schemas, or supported behavior that the documentation does not specify.

# Query status and config of edge application instances (v2)

> GET /api/v2/apps/instances/status-config. Edge applications API reference.

Sign in to try this endpointExplore the parameters, examples, and responses below. Connect your ZedCloud session when you’re ready to send a request.

> [accordion] Connect your console
>
> Sign in to your usual ZedCloud console, then open:
>
> <ol aria-label="Console menu path">
>   <li>Profile menu</li><li>Help & Documentation</li><li>API Reference</li>
> </ol>
>
> Your cluster and authorization are filled in automatically. No token to copy.
> [More about signing in ](https://zededa.mintlify.site/api-reference/authentication.md#sign-in-to-the-api-reference)

&#x20;Modifying requests stay off until you enable them.

[Authentication](https://zededa.mintlify.site/api-reference/authentication.md) · [API availability](https://zededa.mintlify.site/api-reference/clusters.md) · [Download OpenAPI](https://zededa.mintlify.site/openapi/services/edge-application.json)

A successful response.
Unauthorized. The API gateway did not process the request because it lacks valid authentication credentials for the target resource. The request header has either no authorization details or an authorization that has been refused.
Forbidden. The API gateway did not process the request because the requestor does not have application level access permission for the operation or does not have access scope to the project.
Internal Server Error. The API gateway experienced an unexpected condition. Specific error condition is indicated in error codes.
Gateway Timeout. The API gateway did not receive a timely response from an upstream microservice it needed to communicate with in order to complete the request.
An unexpected error response.


## OpenAPI

````yaml openapi/services/edge-application.json GET /v2/apps/instances/status-config
openapi: 3.0.0
info:
  title: ZEDEDA Edge Application Service
  description: >-
    The ZEDEDA Edge Application Service is part of ZEDEDA Edge Orchestration
    Platform. This service enables customers to define their edge applications
    on ZEDEDA platform and to deploy/upgrade/restarti/monitor them to edge
    node(s) remotely. You can use the ZEDEDA Edge Application Service to
    provision and manage ilifecycle of thousands of edge applications to
    millions of edge nodes distributed in different geographical locations in a
    secure and scalable manner.
  termsOfService: https://www.zededa.com/terms
  version: '1.0'
  contact:
    name: ZEDEDA API Support
    url: https://www.zededa.com/support
    email: support@zededa.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://{apiHost}/api
    variables:
      apiHost:
        default: invalid.invalid
        description: Connect from ZedUI to supply your verified API destination.
security:
  - BearerToken: []
tags:
  - name: EdgeApplicationConfiguration
  - name: EdgeApplicationInstanceConfiguration
  - name: PatchEnvelopeConfiguration
  - name: EdgeApplicationInstanceStatus
externalDocs:
  description: ZEDEDA Product Documentation
  url: https://docs.zededa.com/-M-8m8d8KqdLpfOgY_jo/edge-apps
paths:
  /v2/apps/instances/status-config:
    get:
      tags:
        - EdgeApplicationInstanceStatus
      summary: Query status and config of edge application instances
      description: >-
        Edge application instances status config v2 API is a composite API for
        application instance config and application instance status
      operationId: EdgeApplicationInstanceStatus_QueryEdgeApplicationInstanceStatusConfigV2
      parameters:
        - name: summary
          description: app instance summary flag
          in: query
          required: false
          schema:
            type: boolean
        - name: appName
          description: >-
            User defined name of the app bundle, unique across the enterprise.
            Once app bundle is created, name can’t be changed
          in: query
          required: false
          schema:
            type: string
        - name: runState
          description: aperation status
          in: query
          required: false
          schema:
            type: string
            enum:
              - UNSPECIFIED
              - ONLINE
              - HALTED
              - INIT
              - REBOOTING
              - OFFLINE
              - UNKNOWN
              - UNPROVISIONED
              - PROVISIONED
              - SUSPECT
              - DOWNLOADING
              - RESTARTING
              - PURGING
              - HALTING
              - ERROR
              - VERIFYING
              - LOADING
              - CREATING_VOLUME
              - BOOTING
              - MAINTENANCE_MODE
              - START_DELAYED
              - BASEOS_UPDATING
              - PREPARING_POWEROFF
              - POWERING_OFF
              - PREPARED_POWEROFF
            default: UNSPECIFIED
        - name: deviceName
          description: >-
            User defined name of the device, unique across the enterprise. Once
            device is created, name can’t be changed
          in: query
          required: false
          schema:
            type: string
        - name: projectName
          description: >-
            User defined name of the project, unique across the enterprise. Once
            project is created, name can’t be changed
          in: query
          required: false
          schema:
            type: string
        - name: namePattern
          description: name pattern
          in: query
          required: false
          schema:
            type: string
        - name: type
          description: type of app
          in: query
          required: false
          schema:
            type: integer
            format: int64
        - name: tags
          description: json stringified key value pairs
          in: query
          required: false
          schema:
            type: string
        - name: projectNamePattern
          description: project name pattern
          in: query
          required: false
          schema:
            type: string
        - name: deviceNamePattern
          description: device name pattern
          in: query
          required: false
          schema:
            type: string
        - name: next.pageToken
          description: Page Token
          in: query
          required: false
          schema:
            type: string
        - name: next.orderBy
          description: OrderBy helps in sorting the list response
          in: query
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: next.pageNum
          description: Page Number
          in: query
          required: false
          schema:
            type: number
            format: int64
        - name: next.pageSize
          description: Defines the page size
          in: query
          required: false
          schema:
            type: number
            format: int64
        - name: next.totalPages
          description: Total number of pages to be fetched.
          in: query
          required: false
          schema:
            type: number
            format: int64
        - name: fields
          description: >-
            Fields to select: id, name, deviceId, appId, tags, adminState,
            clusterID, runState, Memory, Storage, swState, Cpu, projectId,
            title, appType, deploymentType, memorySummary
          in: query
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: patchEnvelopeNamePattern
          description: patch envelope name pattern
          in: query
          required: false
          schema:
            type: string
        - name: patchEnvelopeReference
          description: app instance patch envelope reference check
          in: query
          required: false
          schema:
            type: string
            enum:
              - UNSPECIFIED
              - REFERENCING_PATCH
              - NOT_REFERENCING_PATCH
            default: UNSPECIFIED
        - name: titlePattern
          description: title pattern
          in: query
          required: false
          schema:
            type: string
        - name: edgeNodeClusterID
          description: edge node cluster id
          in: query
          required: false
          schema:
            type: string
        - name: X-Request-Id
          in: header
          required: false
          description: User-Agent specified id to track a request
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppInstConfigStatusList'
        '401':
          description: >-
            Unauthorized. The API gateway did not process the request because it
            lacks valid authentication credentials for the target resource. The
            request header has either no authorization details or an
            authorization that has been refused.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ZsrvResponse'
        '403':
          description: >-
            Forbidden. The API gateway did not process the request because the
            requestor does not have application level access permission for the
            operation or does not have access scope to the project.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ZsrvResponse'
        '500':
          description: >-
            Internal Server Error. The API gateway experienced an unexpected
            condition. Specific error condition is indicated in error codes.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ZsrvResponse'
        '504':
          description: >-
            Gateway Timeout. The API gateway did not receive a timely response
            from an upstream microservice it needed to communicate with in order
            to complete the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ZsrvResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
      externalDocs:
        description: ZEDEDA Product Documentation
        url: https://docs.zededa.com/-M-8m8d8KqdLpfOgY_jo/edge-apps
components:
  schemas:
    AppInstConfigStatusList:
      type: object
      properties:
        list:
          type: array
          items:
            $ref: '#/components/schemas/appInstConfigStatus'
          description: app instance status summary
        summaryByState:
          description: app instance status by state
          allOf:
            - $ref: '#/components/schemas/Summary'
        totalCount:
          type: integer
          format: int64
          description: total number of records
        summaryByAppType:
          description: app instance summary by application type
          allOf:
            - $ref: '#/components/schemas/Summary'
        summaryByPatchEnvelope:
          description: app instance summary by patch envelope
          allOf:
            - $ref: '#/components/schemas/Summary'
        next:
          description: cursor next
          allOf:
            - $ref: '#/components/schemas/Cursor'
      description: AppInstConfigStatusList is used for listing the app instance statuses
      title: App instance config status list
    ZsrvResponse:
      type: object
      properties:
        operationType:
          title: |-
            Describes one of the operations type : possible values
                                    Read/Delete/Create/Update/List
          allOf:
            - $ref: '#/components/schemas/ZcOpsType'
        operationStatus:
          title: if this is log running job
          allOf:
            - $ref: '#/components/schemas/ZcOpsStatus'
        objectKind:
          type: string
          title: zedcloud object kind on which the operation was performed
        objectId:
          type: string
          title: Unique value identifies the object that was operated on
        objectName:
          type: string
          title: name of the object
        objectRevision:
          type: string
          title: |-
            object revision post the operation, note Read operation
            doesn't change the revision
        objectType:
          $ref: '#/components/schemas/ObjectType'
        operationTime:
          type: string
          title: time of operation
        startTime:
          type: string
          title: total time taken by operations
        endTime:
          type: string
        user:
          type: string
          title: the operation is performed on behalf of this user
        httpStatusCode:
          type: integer
          format: int32
          title: http response
        httpStatusMsg:
          type: string
          title: summary of the error in text format
        jobId:
          type: string
          title: for tracking asynchronous tasks
        error:
          type: array
          items:
            $ref: '#/components/schemas/ZsrvError'
          title: |-
            one or more errors will be set if the operation failed
            i.e. httpStatusCode != 2xx
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    appInstConfigStatus:
      type: object
      properties:
        id:
          type: string
          description: System defined universally unique Id of the app instance
          readOnly: true
          pattern: '[0-9A-Za-z-]+'
          x-zededa-source-issues:
            - code: inapplicable-constraint
              pointer: '#/definitions/appInstConfigStatus/properties/id'
              keyword: uniqueItems
              sourceValue: true
        name:
          type: string
          description: >-
            User defined name of the app instance, unique across the enterprise.
            Once app instance is created, name can’t be changed
          maxLength: 256
          minLength: 3
          pattern: '[a-zA-Z0-9][a-zA-Z0-9_.-]+'
          x-zededa-source-issues:
            - code: inapplicable-constraint
              pointer: '#/definitions/appInstConfigStatus/properties/name'
              keyword: uniqueItems
              sourceValue: true
        deviceId:
          type: string
          description: System generated identifier for the device
          maxLength: 256
          minLength: 3
          pattern: '[a-zA-Z0-9][a-zA-Z0-9_.-]+'
          x-zededa-source-issues:
            - code: inapplicable-constraint
              pointer: '#/definitions/appInstConfigStatus/properties/deviceId'
              keyword: uniqueItems
              sourceValue: true
        deviceName:
          type: string
          description: >-
            User defined name of the device, unique across the enterprise. Once
            device is created, name can’t be changed
          maxLength: 256
          minLength: 3
          pattern: '[a-zA-Z0-9][a-zA-Z0-9_.-]+'
          x-zededa-source-issues:
            - code: inapplicable-constraint
              pointer: '#/definitions/appInstConfigStatus/properties/deviceName'
              keyword: uniqueItems
              sourceValue: true
        appId:
          type: string
          description: System generated identifier for the app bundle
          maxLength: 256
          minLength: 3
          pattern: '[a-zA-Z0-9][a-zA-Z0-9_.-]+'
          x-zededa-source-issues:
            - code: inapplicable-constraint
              pointer: '#/definitions/appInstConfigStatus/properties/appId'
              keyword: uniqueItems
              sourceValue: true
        appName:
          type: string
          description: >-
            User defined name of the edge app, unique across the enterprise.
            Once edge app is created, name can’t be changed
          maxLength: 256
          minLength: 3
          pattern: '[a-zA-Z0-9][a-zA-Z0-9_.-]+'
          x-zededa-source-issues:
            - code: inapplicable-constraint
              pointer: '#/definitions/appInstConfigStatus/properties/appName'
              keyword: uniqueItems
              sourceValue: true
        projectId:
          type: string
          description: System generated identifier for the project
          maxLength: 256
          minLength: 3
          pattern: '[a-zA-Z0-9][a-zA-Z0-9_.-]+'
          x-zededa-source-issues:
            - code: inapplicable-constraint
              pointer: '#/definitions/appInstConfigStatus/properties/projectId'
              keyword: uniqueItems
              sourceValue: true
        projectName:
          type: string
          description: >-
            User defined name of the project, unique across the enterprise. Once
            project is created, name can’t be changed
          maxLength: 256
          minLength: 3
          pattern: '[a-zA-Z0-9][a-zA-Z0-9_.-]+'
          x-zededa-source-issues:
            - code: inapplicable-constraint
              pointer: '#/definitions/appInstConfigStatus/properties/projectName'
              keyword: uniqueItems
              sourceValue: true
        runState:
          description: operation status
          allOf:
            - $ref: '#/components/schemas/RunState'
        Storage:
          description: storage summary
          allOf:
            - $ref: '#/components/schemas/StorageSummary'
        cpuUtilization:
          type: number
          format: double
          description: cpu utilization
        memoryUtilization:
          type: number
          format: double
          description: memory utilization
        storageUtilization:
          type: number
          format: double
          description: storage utilization
        appType:
          description: type of app
          allOf:
            - $ref: '#/components/schemas/AppType'
        userDefinedVersion:
          type: string
          description: Instance version tells which edge app does this instance is running
        swState:
          description: sotware state
          allOf:
            - $ref: '#/components/schemas/SWState'
        swInfo:
          type: array
          items:
            $ref: '#/components/schemas/SWInfo'
          description: Software details
        manifestInfo:
          description: app manifest Info
          allOf:
            - $ref: '#/components/schemas/ManifestInfo'
        patchEnvelopeId:
          type: string
          description: Patch envelope Id
        patchEnvelopeName:
          type: string
          description: Patch envelope name
        deploymentType:
          description: type of deployment for the app
          allOf:
            - $ref: '#/components/schemas/DeploymentType'
        netStatusList:
          type: array
          items:
            $ref: '#/components/schemas/NetworkStatus'
          description: network status list
        vminfo:
          description: virtual machine info
          allOf:
            - $ref: '#/components/schemas/vm'
        remoteConsole:
          type: boolean
          description: Remote console flag
      description: appInstConfigStatus stores the summary of the app instance config status
      title: App instance config status
    Summary:
      type: object
      properties:
        description:
          type: string
          description: Summary description
        total:
          type: number
          format: int64
          description: Total
        values:
          type: object
          additionalProperties:
            type: integer
            format: int64
          description: 'Values: Map for storing <string, uint32>'
      description: Summary is used to store the Summary details
      title: Summary is used to store the Summary details
    Cursor:
      type: object
      properties:
        pageToken:
          type: string
          description: Page Token
        orderBy:
          type: array
          items:
            type: string
          description: OrderBy helps in sorting the list response
        pageNum:
          type: number
          format: int64
          description: Page Number
        pageSize:
          type: number
          format: int64
          description: Defines the page size
        totalPages:
          type: number
          format: int64
          description: Total number of pages to be fetched.
      description: >-
        Cursor helps in filtering the various list response like edge-app bundle
        list, model list, bundle list etc. 
      title: Cursor is used as filter in list operation.
    ZcOpsType:
      type: string
      enum:
        - OPS_TYPE_UNSPECIFIED
        - OPS_TYPE_READ
        - OPS_TYPE_DELETE
        - OPS_TYPE_CREATE
        - OPS_TYPE_UPDATE
        - OPS_TYPE_LIST
      default: OPS_TYPE_UNSPECIFIED
      title: ZedCloud internal operation type
    ZcOpsStatus:
      type: string
      enum:
        - OPS_STATUS_UNSPECIFIED
        - OPS_STATUS_PENDING
        - OPS_STATUS_ONGOING
        - OPS_STATUS_COMPLETE
      default: OPS_STATUS_UNSPECIFIED
      description: >-
        - OPS_STATUS_PENDING: In rare cases, system may not start operation when
        it was requested. Client will be notified that operation is PENDING
         - OPS_STATUS_ONGOING: system will start the operation, but at the time response was generated, operation is still ONGOING.
         - OPS_STATUS_COMPLETE: Even if the result of the operations may result in failure, but the OpsStatus will marked COMPLETE for almost all cases.
      title: ZedCloud internal operation status
    ObjectType:
      type: string
      enum:
        - OBJECT_TYPE_UNSPECIFIED
        - OBJECT_TYPE_USER
        - OBJECT_TYPE_EDGE_NODE
        - OBJECT_TYPE_EDGE_APP
        - OBJECT_TYPE_IMAGE
        - OBJECT_TYPE_EDGE_APP_INSTANCE
        - OBJECT_TYPE_PROJECT
        - OBJECT_TYPE_NETWORK
        - OBJECT_TYPE_DATASTORE
        - OBJECT_TYPE_SERVICE
        - OBJECT_TYPE_SERVICE_INSTANCE
        - OBJECT_TYPE_ENTERPRISE
        - OBJECT_TYPE_ROLE
        - OBJECT_TYPE_CREDENTIAL
        - OBJECT_TYPE_NETWORK_INSTANCE
        - OBJECT_TYPE_VOLUME_INSTANCE
        - OBJECT_TYPE_REALM
        - OBJECT_TYPE_AUTHPROFILE
        - OBJECT_TYPE_POLICY
        - OBJECT_TYPE_APP_POLICY
        - OBJECT_TYPE_CLUSTER_INSTANCE
        - OBJECT_TYPE_PLUGIN
        - OBJECT_TYPE_DOC_POLICY
        - OBJECT_TYPE_ORCHESTRATOR_CLUSTER
        - OBJECT_TYPE_TAGS
        - OBJECT_TYPE_EDGE_NODE_INTERFACE
        - OBJECT_TYPE_DEPLOYMENT
        - OBJECT_TYPE_ENTITLEMENTS
        - OBJECT_TYPE_DATA_STREAM
        - OBJECT_TYPE_API_USAGE
        - OBJECT_TYPE_APP_INSTANCE_SNAPSHOT
        - OBJECT_TYPE_PATCH_ENVELOPE
        - OBJECT_TYPE_RESOURCE_USAGE_TRACK
        - OBJECT_TYPE_PATCH_ENVELOPE_REFERENCE
        - OBJECT_TYPE_DEV_PASSTHROUGH
        - OBJECT_TYPE_EDGE_NODE_CLUSTER
        - OBJECT_TYPE_ASSET_GROUP
        - OBJECT_TYPE_APP_PROFILE
        - OBJECT_TYPE_PROFILE_DEPLOYMENT
        - OBJECT_TYPE_ZKS_INSTANCE
        - OBJECT_TYPE_CLUSTER_GROUP
      default: OBJECT_TYPE_UNSPECIFIED
    ZsrvError:
      type: object
      properties:
        ec:
          title: |-
            Enumrated error code, describes more granular numerical
            value than just httpStatus
          allOf:
            - $ref: '#/components/schemas/ZsrvErrorCode'
        location:
          type: string
          title: 'Ignore: Internal field only'
        details:
          type: string
          title: Field captures string description of details
    protobufAny:
      type: object
      properties:
        typeUrl:
          type: string
        value:
          type: string
          format: byte
    RunState:
      type: string
      enum:
        - RUN_STATE_UNSPECIFIED
        - RUN_STATE_ONLINE
        - RUN_STATE_HALTED
        - RUN_STATE_INIT
        - RUN_STATE_REBOOTING
        - RUN_STATE_OFFLINE
        - RUN_STATE_UNKNOWN
        - RUN_STATE_UNPROVISIONED
        - RUN_STATE_PROVISIONED
        - RUN_STATE_SUSPECT
        - RUN_STATE_DOWNLOADING
        - RUN_STATE_RESTARTING
        - RUN_STATE_PURGING
        - RUN_STATE_HALTING
        - RUN_STATE_ERROR
        - RUN_STATE_VERIFYING
        - RUN_STATE_LOADING
        - RUN_STATE_CREATING_VOLUME
        - RUN_STATE_BOOTING
        - RUN_STATE_MAINTENANCE_MODE
        - RUN_STATE_START_DELAYED
        - RUN_STATE_BASEOS_UPDATING
        - RUN_STATE_PREPARING_POWEROFF
        - RUN_STATE_POWERING_OFF
        - RUN_STATE_PREPARED_POWEROFF
      default: RUN_STATE_UNSPECIFIED
      description: |-
        - RUN_STATE_ONLINE: Entity Online
         - RUN_STATE_HALTED: Entity Halted
         - RUN_STATE_INIT: Entity Initializing
         - RUN_STATE_REBOOTING: Entity Rebooting
         - RUN_STATE_OFFLINE: Entity Offline
         - RUN_STATE_UNKNOWN: Entity state Unknown
         - RUN_STATE_UNPROVISIONED: Entity Unprovisioned
         - RUN_STATE_PROVISIONED: Entity Provisioned
         - RUN_STATE_SUSPECT: Entity Suspect
         - RUN_STATE_DOWNLOADING: Edge-node downloading entity artifacts
         - RUN_STATE_RESTARTING: Entity Restarting
         - RUN_STATE_PURGING: Entity Purging
         - RUN_STATE_HALTING: Entity Halting
         - RUN_STATE_ERROR: Entity encountered an error
         - RUN_STATE_VERIFYING: Verification of downloaded Artifacts in Progress.
         - RUN_STATE_LOADING: Loading of Artifacts into local datastore in Progress.
         - RUN_STATE_CREATING_VOLUME: Volume creation from artifacts in Progress
         - RUN_STATE_BOOTING: Entity booting up
         - RUN_STATE_MAINTENANCE_MODE: Entity maintenance mode
         - RUN_STATE_START_DELAYED: Application start delayed as per configuration
         - RUN_STATE_BASEOS_UPDATING: Device BaseOs Update in Progress
         - RUN_STATE_PREPARING_POWEROFF: device preparing power off - shutting down all app instances
         - RUN_STATE_POWERING_OFF: device powering off from local profile server
         - RUN_STATE_PREPARED_POWEROFF: device prepared power off - all app instances are shut down
      title: RunState - On update, please update RunState_HttpRequest as well
    StorageSummary:
      type: object
      properties:
        TotalMB:
          type: number
          format: double
          description: Total Storage for the device in MBs
        UsedMB:
          type: number
          format: double
          description: How much is used within the allocated total storage
        AllocatedMB:
          type: number
          format: double
          description: Total reserved for running applications + temp. images etc
        sharedStorageSummary:
          type: array
          items:
            $ref: '#/components/schemas/SharedStorageSummary'
          description: Shared storage summary
        Id:
          type: string
          description: Id
        Name:
          type: string
          description: Name
      description: Storage Summary
      title: Storage Summary
    AppType:
      type: string
      enum:
        - APP_TYPE_UNSPECIFIED
        - APP_TYPE_VM
        - APP_TYPE_VM_RUNTIME
        - APP_TYPE_CONTAINER
        - APP_TYPE_MODULE
        - APP_TYPE_DOCKER_COMPOSE
      default: APP_TYPE_UNSPECIFIED
      description: type of app bundle.
    SWState:
      type: string
      enum:
        - SW_STATE_UNSPECIFIED
        - SW_STATE_INITIAL
        - SW_STATE_DOWNLOAD_IN_PROGRESS
        - SW_STATE_DOWNLOADED
        - SW_STATE_VERIFIED
        - SW_STATE_INSTALLED
        - SW_STATE_BOOTING
        - SW_STATE_RUNNING
        - SW_STATE_HALTING
        - SW_STATE_HALTED
        - SW_STATE_REFRESHING
        - SW_STATE_PURGING
        - SW_STATE_RESOLVING_TAG
        - SW_STATE_RESOLVED_TAG
        - SW_STATE_CREATING_VOLUME
        - SW_STATE_CREATED_VOLUME
        - SW_STATE_VERIFYING
        - SW_STATE_LOADING
        - SW_STATE_LOADED
        - SW_STATE_AWAITNETWORKINSTANCE
      default: SW_STATE_UNSPECIFIED
      description: |-
        - SW_STATE_RESOLVING_TAG: Prior to DOWNLOAD_STARTED we go through these:
        Resolving an image tag
         - SW_STATE_RESOLVED_TAG: Tag has been resolved/failed
         - SW_STATE_CREATING_VOLUME: Prior to INSTALLED we go through these:
        Volume create in progress
         - SW_STATE_CREATED_VOLUME: Volume create done/failed
         - SW_STATE_VERIFYING: Verification in-progress
         - SW_STATE_LOADING: Loading blob in CAS
         - SW_STATE_LOADED: Loaded blob in CAS
         - SW_STATE_AWAITNETWORKINSTANCE: Wait for network instance
      title: State of EVE/Edge Application software
    SWInfo:
      type: object
      properties:
        version:
          type: string
          description: software version
        hash:
          type: string
          description: software hash
        state:
          description: Software state
          allOf:
            - $ref: '#/components/schemas/SWState'
        disk:
          type: string
          description: software disk
        downloadProgress:
          type: number
          format: int64
          description: download progress
        imageName:
          type: string
          description: image name
      description: Software Information
      title: Software Information
    ManifestInfo:
      type: object
      properties:
        bundleVersion:
          type: string
          description: Current version of edge application being used
        nextBundleVersion:
          type: string
          description: Next version of edge application available
        transitionAction:
          type: string
          description: Recommended transition action
          allOf:
            - $ref: '#/components/schemas/InstanceTransitionAction'
        params:
          type: object
          additionalProperties:
            type: string
          description: Common and Custom parameters for deciding on transition actions
        details:
          description: Details for recommended transition action
          allOf:
            - $ref: '#/components/schemas/TransDetails'
        enablevnc:
          type: boolean
          description: Enable vnc for the app
      description: >-
        Details about transition parameters and indication for cause of the
        transition and recommendation for the transition action
      title: Transition action information
    DeploymentType:
      type: string
      enum:
        - DEPLOYMENT_TYPE_UNSPECIFIED
        - DEPLOYMENT_TYPE_STAND_ALONE
        - DEPLOYMENT_TYPE_AZURE
        - DEPLOYMENT_TYPE_K3S
        - DEPLOYMENT_TYPE_AWS
        - DEPLOYMENT_TYPE_K3S_AZURE
        - DEPLOYMENT_TYPE_K3S_AWS
        - DEPLOYMENT_TYPE_VMWARE_VCE
        - DEPLOYMENT_TYPE_VMWARE_TKG_ATTACH
        - DEPLOYMENT_TYPE_DOCKER_RUNTIME
      default: DEPLOYMENT_TYPE_UNSPECIFIED
    NetworkStatus:
      type: object
      properties:
        up:
          type: boolean
          description: Network Status flag
        macAddr:
          type: string
          description: mac Address
        ifName:
          type: string
          description: ifName
        ipAddrs:
          type: array
          items:
            type: string
          description: Array of IP addresses
        defaultRouters:
          type: array
          items:
            type: string
          description: Default Routers
        dns:
          type: object
          description: DNS Configuration
          allOf:
            - $ref: '#/components/schemas/DNSInfo'
        location:
          type: object
          description: Geo Location Details
          allOf:
            - $ref: '#/components/schemas/GeoLocation'
        uplink:
          type: boolean
          description: Uplink flag
        proxy:
          type: object
          description: Network Proxy status
          allOf:
            - $ref: '#/components/schemas/NetProxyStatus'
        errInfo:
          type: object
          description: Network error details
          allOf:
            - $ref: '#/components/schemas/DeviceError'
        gpsLocation:
          type: object
          description: Location from GNSS receivers on WWAN type adapters
          allOf:
            - $ref: '#/components/schemas/GPSLocation'
        cellular:
          type: object
          description: Cellular network status
          allOf:
            - $ref: '#/components/schemas/CellularStatus'
        mtu:
          type: integer
          format: int64
          description: Network MTU
        pnacStatus:
          description: PNAC 802.1X authentication status for this port
          title: PNAC (802.1X) authentication status for this port
          allOf:
            - $ref: '#/components/schemas/PNACPortStatus'
        configSource:
          description: Identifies the source of this network port configuration
          allOf:
            - $ref: '#/components/schemas/commonPortConfigSource'
      description: NetworkStatus is used to store the Network status
      title: NetworkStatus is used to store the Network Status
    vm:
      type: object
      properties:
        cpus:
          type: number
          format: int64
          description: CPUs
        memory:
          type: number
          format: int64
          description: Memory
        mode:
          description: Hardware Virtualization
          allOf:
            - $ref: '#/components/schemas/hvMode'
        vnc:
          type: boolean
          description: VNC
        vncDisplay:
          type: number
          format: int64
          description: VNC display
          readOnly: true
        cpuPinningEnabled:
          type: boolean
          description: Enable CpuPinning
        vmmMaxmem:
          type: integer
          format: int64
          description: Maximum amount of memory in kbytes allowed for VM monitor to occupy
        bootloaderMode:
          description: >-
            The bootloader mode that will be used for the VM. Default is
            VM_BOOTLOADER_MODE_LEGACY
          allOf:
            - $ref: '#/components/schemas/VmBootloaderMode'
        enableOemWinLicenseKey:
          type: boolean
          description: >-
            Enable device which has VM to receive the Windows license embedded
            in the ACPI tables
        disableVTPM:
          type: boolean
          description: Disable vTPM for virtual machines (VM)
      description: Virtual machine memory configuration
      title: vm detail
      required:
        - cpus
        - memory
        - mode
        - vnc
    ZsrvErrorCode:
      type: string
      enum:
        - zMsgErrorNone
        - zMsgSucess
        - NotFound
        - AlreadyExists
        - VersionMismatch
        - RangeError
        - LargeResult
        - IncompleteData
        - InvalidData
        - FunctionUnsupported
        - NoMemory
        - SendFailure
        - Timeout
        - BadReqBody
        - BadReqParam
        - InvalidFieldFormat
        - UrlNotFound
        - ApiVersionNotSupported
        - Unauthorized
        - Forbidden
        - Conflict
        - NotModified
        - DependencyConflict
        - JsonFmtError
        - ProtoFmtError
        - CertError
        - DataBaseConnection
        - DBError
        - zMsgAccepted
        - zMsgCreated
        - PreConditionFailed
        - InternalServerError
      default: zMsgErrorNone
      description: |-
        - zMsgErrorNone: common validation errors
         - IncompleteData: message had fields that weren't filled in
         - InvalidData: message contained the field that wasn't expected
         - FunctionUnsupported: this feature unavailable on this version of device
         - InvalidFieldFormat: message contained the field that wasn't correctly formatted
         - JsonFmtError: Marshal / Unmarshal errors
         - DataBaseConnection: generic DB error
      title: ZedCould internal error code
    SharedStorageSummary:
      type: object
      properties:
        Id:
          type: string
          description: Id
        Name:
          type: string
          description: Name
        AllocatedMB:
          type: number
          format: double
          description: Allocated Storage in MBs
        UsedMB:
          type: number
          format: double
          description: How much is used within the allocated total storage
      description: Shared Storage Summary
      title: Shared Storage Summary
    InstanceTransitionAction:
      type: string
      enum:
        - INSTANCE_TA_UNSPECIFIED
        - INSTANCE_TA_NONE
        - INSTANCE_TA_UPDATEREQUIRED
        - INSTANCE_TA_UPDATEWITHRESTART
        - INSTANCE_TA_UPDATEWITHPURGE
      default: INSTANCE_TA_UNSPECIFIED
      description: |-
        - INSTANCE_TA_UNSPECIFIED: Default. Invalid option
         - INSTANCE_TA_NONE: Either Edge app bundle has not changed or Edge app bundle has
        changed but the changes do not impact Edge app instances
         - INSTANCE_TA_UPDATEREQUIRED: Edge app bundle has changed. Changes impact Edge app Instances
        Edge App instances need to be restarted with temporary loss of access
         - INSTANCE_TA_UPDATEWITHRESTART: Transition Action: Update with Restart
         - INSTANCE_TA_UPDATEWITHPURGE: Edge app bundle has changed. Changes impact Edge app Instances
        Edge App instances need to be deleted and created again with
        temporary loss of access and permanent loss of data
      title: Instance Transition action
    TransDetails:
      type: object
      properties:
        cause:
          description: Cause of the transition action
          allOf:
            - $ref: '#/components/schemas/TransCause'
        severity:
          type: string
          description: >-
            Urgency of the recommended action (ERROR - must take action
            immediately, WARN - must take action but not immediately, NOTICE -
            may take action
        scope:
          description: Scope of the action (e.g. project, cluster, instance)
          allOf:
            - $ref: '#/components/schemas/ActionScope'
    DNSInfo:
      type: object
      properties:
        servers:
          type: array
          items:
            type: string
          description: Array of dns server
        domain:
          type: string
          description: domain name
        search:
          type: array
          items:
            type: string
          description: Array of search strings
      description: 'DNSInfo is used to store Domain Name Server configuration. '
      title: DNSInfo consists of DNS Configurations.
      required:
        - servers
        - domain
        - search
    GeoLocation:
      type: object
      properties:
        underlayIP:
          type: string
          description: Single IP address, either in IPv4 or in IPv6 format
        hostname:
          type: string
          description: Host name
        city:
          type: string
          description: City
        region:
          type: string
          description: Region
        country:
          type: string
          description: >-
            Country code consisting of 2 capital letters as per ISO 3166-1
            alpha2 standard
        loc:
          type: string
          description: >-
            Ordered pair of (latitude, longitude) separated by comma (,).
            Latitude is the horizontal component used for geographic
            positioning; it is the angle between 0° (the equator) and ±90°
            (north or south) at the poles measured in decimal degrees. It is the
            first value in an ordered pair. A negative number denotes a location
            south of the equator; a positive number is north. Longitude is the
            vertical component used for geographic positioning; it is the angle
            between 0° (the Prime Meridian) and ±180° (westward or eastward)
            measured in decimal degrees. It is the second number in an ordered
            pair. A negative number indicates a location west of Greenwich,
            England; a positive number east.
        org:
          type: string
          description: >-
            The name of the recipient, firm, or company at this geographical
            location.
        postal:
          type: string
          description: Postal code (ZIP code for USA) of the geographical location
        latlong:
          type: string
          description: 'Deprecated field: comma, separated lat, long'
        freeloc:
          type: string
          description: Free formatted location string
      description: >-
        Geographic location of an edge node determined by a variety of data
        collection mechanisms (e.g. network routing addresses or internal GPS
        devices).
      title: Geographic location of an edge node
    NetProxyStatus:
      type: object
      properties:
        networkProxy:
          type: boolean
          description: Use pacfile (Auto discover or manual upload)
          title: Enable, the proxy configuration coming from network
        proxies:
          type: array
          items:
            $ref: '#/components/schemas/NetProxyServer'
          description: protocol level proxies
          title: protocol level proxies
        exceptions:
          type: string
          description: exceptions
        pacfile:
          type: string
          description: proxy configuration in a pacfile
          title: proxy configuration in a pacfile
        networkProxyURL:
          type: string
          description: Network Proxy URL
          title: Direct URL for wpad.dat download
        wpadProxyURL:
          type: string
          description: WPAD Proxy URL
      description: NetProxyStatus is used to store the proxy configurations
      title: NetProxyStatus is used to store the proxy configurations
    DeviceError:
      type: object
      properties:
        description:
          type: string
          description: Description of the error
        severity:
          type: string
          description: Severity of the error
          allOf:
            - $ref: '#/components/schemas/Severity'
        timestamp:
          type: object
          format: date-time
          description: Timestamp at which error had occurred
        entities:
          type: array
          items:
            $ref: '#/components/schemas/DeviceEntity'
          description: objects referenced by the description or retry_condition
        retryCondition:
          type: string
          description: condition for retry
      description: DeviceError store the error occurred at the device side
      title: DeviceError is used to store the error details of the hardware.
      required:
        - description
        - severity
        - timestamp
        - entities
    GPSLocation:
      type: object
      properties:
        latitude:
          type: number
          format: double
          description: Latitude
        longitude:
          type: number
          format: double
          description: Longitude
        altitude:
          type: number
          format: double
          description: Altitude from mean sea level
        timestamp:
          type: object
          format: date-time
          description: UTC timestamp
        horizontalReliability:
          type: number
          format: int64
          description: Horizontal reliability
        verticalReliability:
          type: number
          format: int64
          description: Vertical reliability
        horizontalUncertainty:
          type: number
          format: double
          description: Horizontal uncertainty
        verticalUncertainty:
          type: number
          format: double
          description: Vertical uncertainty
        logicalLabel:
          type: string
          description: Logical label of the adapter used to get GPS coordinates
    CellularStatus:
      type: object
      properties:
        providers:
          type: array
          items:
            $ref: '#/components/schemas/NetworkProvider'
          description: List of network providers
        modem:
          type: object
          description: Modem detail
          allOf:
            - $ref: '#/components/schemas/ModemDetail'
        simCards:
          type: array
          items:
            $ref: '#/components/schemas/SIMCard'
          description: List of SIM Cards
      description: CellularStatus contains status information for a single cellular network
      title: CellularStatus contains status information for a single cellular network
    PNACPortStatus:
      type: object
      properties:
        enabled:
          type: boolean
          description: Whether 802.1X authentication is enabled on this port
        supplicantState:
          description: 802.1X supplicant state
          allOf:
            - $ref: '#/components/schemas/PNACSupplicantState'
        lastAuthTimestamp:
          type: string
          format: date-time
          description: Timestamp of the most recent successful 802.1X authentication.
        err:
          type: object
          description: Supplicant authentication error details
          allOf:
            - $ref: '#/components/schemas/DeviceError'
      description: >-
        PNACPortStatus reports the 802.1X authentication status of a network
        port.
    commonPortConfigSource:
      type: object
      properties:
        origin:
          description: Indicates where EVE obtained the network config.
          allOf:
            - $ref: '#/components/schemas/commonNetworkConfigOrigin'
        submittedAt:
          type: string
          format: date-time
          description: >-
            Timestamp when this port’s configuration was originally submitted

            or created at its source.


            Meaning depends on the origin:

            - Controller, LOC, bootstrap: timestamp provided by the controller.

            - Local override.json: when the file was first loaded by EVE.

            - Last-resort: when EVE generated the fallback config.

            - LPS modifications: when the modified config was received.

            - TUI: when the user submitted the configuration.


            This is different from DevicePortStatus.timePriority, which is used

            to compare and prioritize different sources of network configuration

            (and may be synthetic for some sources, e.g. year 2000 for
            override.json,

            epoch 0 for last-resort). By contrast, submitted_at represents when
            this

            port’s configuration first came into existence, regardless of when
            or whether

            the device applied it.


            Note: this is a per-port timestamp. The underlying network config
            may

            cover multiple ports, but only the portion relevant to this port is

            reflected here.
      description: >-
        PortConfigSource describes the origin of the configuration used for a
        network port.

        It helps distinguish between controller-provided, locally-modified, or
        initial configs.
    hvMode:
      type: string
      enum:
        - HV_PV
        - HV_HVM
        - HV_FML
        - HV_NOHYPER
        - HV_LEGACY
      default: HV_PV
      description: |-
        For now we need to tell the device which virtualization mode
        to use. Later we might use a single one for all VMs (on any particular
        ISA). If we end up keeping this we should make the names be less
        tied to a particular hypervisor.
    VmBootloaderMode:
      type: string
      enum:
        - VM_BOOTLOADER_MODE_UNSPECIFIED
        - VM_BOOTLOADER_MODE_LEGACY
        - VM_BOOTLOADER_MODE_UEFI
      default: VM_BOOTLOADER_MODE_UNSPECIFIED
      title: >-
        VmBootloaderMode is used to specify the bootloader mode that will be
        used for the VM.

        It represents the boot mechanism to be used to boot the VM
    TransCause:
      type: string
      enum:
        - TRANS_CAUSE_UNSPECIFIED
        - TRANS_CAUSE_APP_DRIVE_CHANGED
        - TRANS_CAUSE_APP_NETWORK_CHANGED
        - TRANS_CAUSE_APP_CUSTOM_CONFIG_CHANGED
        - TRANS_CAUSE_APP_MODULE_BUNDLE_UPDATE
        - TRANS_CAUSE_APP_DESC_CHANGED
        - TRANS_CAUSE_APP_FIXED_RESOURCES_CHANGED
        - TRANS_CAUSE_APP_VNC_MODE_CHANGED
        - TRANS_CAUSE_APP_VM_MODE_CHANGED
        - TRANS_CAUSE_INTER_CA_EXPIRING
        - TRANS_CAUSE_INTER_CA_EXPIRED
        - TRANS_CAUSE_DEVICE_CA_EXPIRING
        - TRANS_CAUSE_DEVICE_CA_EXPIRED
        - TRANS_CAUSE_IDENTITY_CA_EXPIRING
        - TRANS_CAUSE_IDENTITY_CA_EXPIRED
        - TRANS_CAUSE_APP_COMPOSE_TAR_IMAGE_CHANGED
        - TRANS_CAUSE_APP_COMPOSE_YAML_CHANGED
        - TRANS_CAUSE_APP_COMPOSE_DATASTORE_CHANGED
        - TRANS_CAUSE_APP_ENABLE_VM_CONFIG_CHANGED
      default: TRANS_CAUSE_UNSPECIFIED
    ActionScope:
      type: object
      properties:
        type:
          description: >-
            Scope of the action (e.g. project in case certificate expired at
            project level)
          allOf:
            - $ref: '#/components/schemas/ObjectType'
        id:
          type: string
          description: Unique id of the type (e.g. projectId in case of project type)
    NetProxyServer:
      type: object
      properties:
        proto:
          description: >-
            Net Proxy proto


            **Source definition conflict:** this property declares type
            `"object"`, while the referenced definition declares `"string"`. The
            referenced schema is shown; the conflicting declaration needs
            correction in ZEDEDA's Swagger definition.
          allOf:
            - $ref: '#/components/schemas/NetworkProxyProto'
          x-zededa-source-issues:
            - code: conflicting-reference
              pointer: '#/definitions/NetProxyServer/properties/proto'
              keyword: type
              sourceValue: object
              reference: '#/definitions/NetworkProxyProto'
              referencedValue: string
        server:
          type: string
          description: Net Proxy Server
        port:
          type: number
          format: int64
          description: Net Proxy Port
      description: Net Proxy Server
      title: Net Proxy Server
    Severity:
      type: string
      enum:
        - SEVERITY_UNSPECIFIED
        - SEVERITY_NOTICE
        - SEVERITY_WARNING
        - SEVERITY_ERROR
      default: SEVERITY_UNSPECIFIED
      title: Severity tells the severity type
    DeviceEntity:
      type: object
      properties:
        entity:
          $ref: '#/components/schemas/Entity'
        entityId:
          type: string
        entityName:
          type: string
    NetworkProvider:
      type: object
      properties:
        plmn:
          type: string
          description: PLMN code
        name:
          type: string
          description: Human-friendly name
        rat:
          type: string
          description: Radio Access Technology
          allOf:
            - $ref: '#/components/schemas/RadioAccessTechnology'
        roaming:
          type: boolean
          description: Is Roaming ON
        connectedAt:
          type: string
          format: date-time
          description: Time when was the connection established
      description: NetworkProvider describes a cellular Network Provider
      title: NetworkProvider describes a cellular Network Provider
    ModemDetail:
      type: object
      properties:
        manufacturer:
          type: string
          description: Modem manufacturer
        model:
          type: string
          description: Modem model
        firmwareVersion:
          type: string
          description: Modem firmware version
        imei:
          type: string
          description: Modem IMEI
        operatingState:
          type: string
          description: Modem operating state
          allOf:
            - $ref: '#/components/schemas/ZCellularOperatingState'
        controlProtocol:
          type: string
          description: Modem control protocol
          allOf:
            - $ref: '#/components/schemas/ZCellularControlProtocol'
      description: ModemDetail describes a cellular Modem
      title: ModemDetail describes a cellular Modem
    SIMCard:
      type: object
      properties:
        slotNumber:
          type: number
          format: int64
          description: Slot number
        slotActivated:
          type: boolean
          description: Is Slot activated
        iccid:
          type: string
          description: Integrated Circuit Card Identifier
        imsi:
          type: string
          description: International Mobile Subscriber Identity
        state:
          type: string
          description: Current state of the SIM card
      description: SIMCard describes a SIM slot
      title: SIMCard describes a SIM slot
    PNACSupplicantState:
      type: string
      enum:
        - PNAC_SUPPLICANT_STATE_UNSPECIFIED
        - PNAC_SUPPLICANT_STATE_DISCONNECTED
        - PNAC_SUPPLICANT_STATE_CONNECTING
        - PNAC_SUPPLICANT_STATE_AUTHENTICATING
        - PNAC_SUPPLICANT_STATE_AUTHENTICATED
        - PNAC_SUPPLICANT_STATE_FAILED
        - PNAC_SUPPLICANT_STATE_HELD
      default: PNAC_SUPPLICANT_STATE_UNSPECIFIED
      description: |-
        PNACSupplicantState describes the 802.1X supplicant state for PNAC.

         - PNAC_SUPPLICANT_STATE_DISCONNECTED: Supplicant is idle or link is down; no authentication in progress.
         - PNAC_SUPPLICANT_STATE_CONNECTING: Link is up and the supplicant is initiating authentication.
         - PNAC_SUPPLICANT_STATE_AUTHENTICATING: Active EAP authentication exchange is in progress.
         - PNAC_SUPPLICANT_STATE_AUTHENTICATED: Authentication completed successfully; port is authorized.
         - PNAC_SUPPLICANT_STATE_FAILED: Authentication failed and access was not granted.
         - PNAC_SUPPLICANT_STATE_HELD: Supplicant is in a held or backoff state following repeated failures.
    commonNetworkConfigOrigin:
      type: string
      enum:
        - NETWORK_CONFIG_ORIGIN_UNSPECIFIED
        - NETWORK_CONFIG_ORIGIN_CONTROLLER
        - NETWORK_CONFIG_ORIGIN_BOOTSTRAP
        - NETWORK_CONFIG_ORIGIN_OVERRIDE
        - NETWORK_CONFIG_ORIGIN_LASTRESORT
        - NETWORK_CONFIG_ORIGIN_TUI
        - NETWORK_CONFIG_ORIGIN_LOC
        - NETWORK_CONFIG_ORIGIN_LPS
      default: NETWORK_CONFIG_ORIGIN_UNSPECIFIED
      description: >-
        NetworkConfigOrigin enumerates all possible origins of a network port
        configuration.

         - NETWORK_CONFIG_ORIGIN_UNSPECIFIED: Unknown or unset origin.
         - NETWORK_CONFIG_ORIGIN_CONTROLLER: Config received from the controller.
         - NETWORK_CONFIG_ORIGIN_BOOTSTRAP: Initial device config embedded in the EVE installer, signed by the controller.
         - NETWORK_CONFIG_ORIGIN_OVERRIDE: Manually created JSON config injected into the installer.
         - NETWORK_CONFIG_ORIGIN_LASTRESORT: Fallback configuration automatically generated to enable DHCP on all Ethernet ports.
        Used when no network config is available or when
        "network.fallback.any.eth" is enabled

        and none of the existing configs provide controller connectivity.
         - NETWORK_CONFIG_ORIGIN_TUI: Config entered via the terminal UI (TUI).
         - NETWORK_CONFIG_ORIGIN_LOC: Configuration signed by the controller and delivered through the
        Local Operator Console (LOC) in an air-gapped environment.
         - NETWORK_CONFIG_ORIGIN_LPS: Config changes made locally through the Local Profile Server (LPS).
    NetworkProxyProto:
      type: string
      enum:
        - NETWORK_PROXY_PROTO_HTTP
        - NETWORK_PROXY_PROTO_HTTPS
        - NETWORK_PROXY_PROTO_SOCKS
        - NETWORK_PROXY_PROTO_FTP
        - NETWORK_PROXY_PROTO_OTHER
      default: NETWORK_PROXY_PROTO_HTTP
    Entity:
      type: string
      enum:
        - ENTITY_UNSPECIFIED
        - ENTITY_BASE_OS
        - ENTITY_SYSTEM_ADAPTER
        - ENTITY_VAULT
        - ENTITY_ATTESTATION
        - ENTITY_APP_INSTANCE
        - ENTITY_PORT
        - ENTITY_NETWORK
        - ENTITY_NETWORK_INSTANCE
        - ENTITY_CONTENT_TREE
        - ENTITY_CONTENT_BLOB
        - ENTITY_VOLUME
      default: ENTITY_UNSPECIFIED
      description: |-
        - ENTITY_UNSPECIFIED: Invalid Device Entity
         - ENTITY_BASE_OS: Base OS entity
         - ENTITY_SYSTEM_ADAPTER: System Adapter Entity
         - ENTITY_VAULT: Vault Entity
         - ENTITY_ATTESTATION: Attestation Entity
         - ENTITY_APP_INSTANCE: App Instance Entity
         - ENTITY_PORT: Port Entity
         - ENTITY_NETWORK: Network Entity
         - ENTITY_NETWORK_INSTANCE: Network Instance Entity
         - ENTITY_CONTENT_TREE: ContentTree Entity
         - ENTITY_CONTENT_BLOB: Blob Entity
         - ENTITY_VOLUME: VOLUME Entity
      title: Edge node components
    RadioAccessTechnology:
      type: string
      enum:
        - RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED
        - RADIO_ACCESS_TECHNOLOGY_GSM
        - RADIO_ACCESS_TECHNOLOGY_UMTS
        - RADIO_ACCESS_TECHNOLOGY_LTE
        - RADIO_ACCESS_TECHNOLOGY_5GNR
      default: RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED
      description: |2-
         - RADIO_ACCESS_TECHNOLOGY_GSM: Global System for Mobile Communications (2G).
         - RADIO_ACCESS_TECHNOLOGY_UMTS: Universal Mobile Telecommunications System (3G).
         - RADIO_ACCESS_TECHNOLOGY_LTE: Long Term Evolution (4G).
         - RADIO_ACCESS_TECHNOLOGY_5GNR: 5G New Radio.
    ZCellularOperatingState:
      type: string
      enum:
        - Z_CELLULAR_OPERATING_STATE_UNSPECIFIED
        - Z_CELLULAR_OPERATING_STATE_OFFLINE
        - Z_CELLULAR_OPERATING_STATE_RADIO_OFF
        - Z_CELLULAR_OPERATING_STATE_ONLINE
        - Z_CELLULAR_OPERATING_STATE_ONLINE_AND_CONNECTED
        - Z_CELLULAR_OPERATING_STATE_UNRECOGNIZED
      default: Z_CELLULAR_OPERATING_STATE_UNSPECIFIED
    ZCellularControlProtocol:
      type: string
      enum:
        - Z_CELLULAR_CONTROL_PROTOCOL_UNSPECIFIED
        - Z_CELLULAR_CONTROL_PROTOCOL_QMI
        - Z_CELLULAR_CONTROL_PROTOCOL_MBIM
      default: Z_CELLULAR_CONTROL_PROTOCOL_UNSPECIFIED
  securitySchemes:
    BearerToken:
      type: http
      description: Bearer token for user session
      scheme: bearer

````